<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".activity.MainActivity"
    android:fillViewport="true"
    android:background="@drawable/signin_background"
    tools:showIn="@layout/app_bar_main">

    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/ll_top"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:background="@color/white"
            app:layout_constraintTop_toTopOf="parent"
            android:gravity="center_vertical"
            android:padding="@dimen/layout_margin_15dp">

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/bd_gov_logo"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textSize="16sp"
                android:layout_marginLeft="@dimen/layout_margin_15dp"
                android:text="Disaster Information and Response Support System (DIRSS)"/>


        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_first_row"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/ll_top"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/margin_30dp"
            android:paddingRight="@dimen/margin_30dp"
            android:paddingBottom="@dimen/layout_margin_10dp"
            android:weightSum="1">
            <LinearLayout
                android:id="@+id/ll_disaster"
                android:layout_width="0dp"
                android:layout_weight="0.5"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:orientation="vertical"
                android:layout_marginLeft="@dimen/layout_margin_10dp"
                >

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:src="@drawable/icon_information" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_10dp"
                    android:text="@string/disaster_info"
                    android:textColor="@color/white" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_help"
                android:layout_width="0dp"
                android:layout_weight="0.5"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:orientation="vertical"
                >

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:src="@drawable/icon_help" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_10dp"
                    android:text="@string/str_help"
                    android:gravity="center"
                    android:layout_gravity="center"
                    android:textColor="@color/white" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_second_row"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:weightSum="1"
            android:paddingTop="@dimen/layout_margin_10dp"
            android:paddingLeft="@dimen/margin_30dp"
            android:paddingRight="@dimen/margin_30dp"
            android:paddingBottom="@dimen/layout_margin_10dp"
            android:layout_below="@+id/ll_first_row">
            <LinearLayout
                android:id="@+id/ll_emergency"
                android:layout_width="0dp"
                android:layout_weight="0.5"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:orientation="vertical"
                >

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:src="@drawable/icon_emergency_phone" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_10dp"
                    android:text="@string/emergency_contact"
                    android:textColor="@color/white"
                    android:gravity="center"/>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_hotline"
                android:layout_width="0dp"
                android:layout_weight="0.5"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:src="@drawable/icon_support" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_10dp"
                    android:text="@string/str_hotline"
                    android:textColor="@color/white"
                    android:gravity="center"/>

            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_third_row"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:weightSum="1"
            android:paddingLeft="@dimen/margin_30dp"
            android:paddingRight="@dimen/margin_30dp"
            android:paddingTop="@dimen/layout_margin_10dp"
            android:paddingBottom="@dimen/layout_margin_10dp"
            android:layout_below="@+id/ll_second_row">
            <LinearLayout
                android:id="@+id/ll_news"
                android:layout_width="0dp"
                android:layout_weight="0.5"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:orientation="vertical"
                >

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:src="@drawable/icon_news" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_10dp"
                    android:text="খবর"
                    android:textColor="@color/white"
                    android:gravity="center"/>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_other"
                android:layout_width="0dp"
                android:layout_weight="0.5"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="60dp"
                    android:src="@drawable/icon_others" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_10dp"
                    android:text="অন্যান্য"
                    android:textColor="@color/white"
                    android:layout_gravity="center"/>

            </LinearLayout>
        </LinearLayout>


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/colorPrimaryDark"
            android:gravity="center"
            android:padding="@dimen/layout_margin_10dp"
            android:text="@string/copyright_text"
            android:textColor="@color/white"
            android:layout_alignParentBottom="true"/>

    </RelativeLayout>
</androidx.core.widget.NestedScrollView>